=== debian/changelog ===
nomacs (3.0.0+dfsg-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 3.0.0+dfsg. 
  * Initial release (Closes: #688873)
  * Added watchfile with dversionmangle
  * Added a repack-script for uscan
  * Replaces the lena-images by some of my own
  * Added a source.lintian-overrides for the wrong lintian complains
  * Added my files to the copyright
  * Added debian/source/include-binaries to include the pictures in
    the debian tarball
  * Improved copyright
  * Disabled plugin-system for now
  * Reduced dependencies in rules
  * Use the new -dbgsyms - so no explicit -dbg package
  * Added build dependency libqt5svg5-dev
  * Modified the rules, Qt5 is standard now and must no longer 
    triggered
  * use the manpage from Readme/nomacs.1 directly

 -- Alf Gaida <agaida@siduction.org>  Mon, 21 Dec 2015 21:08:02 +0100
