## nomacs 3.0.0+dfsg2

=== debian/changelog ===
nomacs (3.0.0+dfsg2-1build2) yakkety; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 13:09:03 +0300

nomacs (3.0.0+dfsg2-1build1) yakkety; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 04 Aug 2016 17:17:43 -0400

nomacs (3.0.0+dfsg2-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Use system libwebp
  * Use system libquazip
  * Update Vcs-* fields

  [ Alf Gaida ]
  * Don't provide sources for not used embedded 3rd party libs
  * Fixed the repack script that way
  * Fixed Format filed in debian/copyright
  * Bump year in debian/copyright
  * Bump Standards to 3.9.8, no changes needed
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added LDFLAGS -pthread (Closes: #810732)

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 17:57:49 +0200
