=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: nomacs
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -14,14 +15,16 @@
                libopencv-dev,
                libopencv-ocl-dev,
                libqt5svg5-dev,
+               libquazip-dev,
                libraw-dev (>= 0.13.1~),
                libtiff5-dev,
+               libwebp-dev,
                qt5-qmake,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/nomacs.git -b debian/sid
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/nomacs.git -b debian/sid
 Homepage: http://www.nomacs.org
 
 Package: nomacs
