=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pthread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=cmake \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_PLUGINS=OFF \
		-DUSE_SYSTEM_QUAZIP=ON \
		-DUSE_SYSTEM_WEBP=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/nomacs
