## nomacs 3.4.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pthread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@} --buildsystem=cmake \
		--fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_PLUGINS=OFF \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DUSE_SYSTEM_QUAZIP=ON \
		-DENABLE_OPENCV=ON \
		-DENABLE_RAW=ON \
		-DENABLE_TIFF=ON \
		-DDISABLE_QT_DEBUG=OFF\
		-DENABLE_QUAZIP=ON\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
