=== debian/changelog ===
nomacs (3.4.1+dfsg-11) unstable; urgency=medium

  * Fixed some symbols (Closes: #876153)
  * Fixed sections
  * Added overides_dh_missing 
  * Bumped Standards to 4.1.0

 -- Alf Gaida <agaida@siduction.org>  Wed, 27 Sep 2017 02:35:37 +0200

nomacs (3.4.1+dfsg-10) unstable; urgency=medium

  * Fixed symbols for gcc 7.1.0 (Closes: #871180)
  * Patched appdata syntax and location

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 Aug 2017 18:07:38 +0200

nomacs (3.4.1+dfsg-9) unstable; urgency=medium

  * Tested again with gcc-7, compiles fine (Closes: #853575)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Aug 2017 00:45:32 +0200

nomacs (3.4.1+dfsg-8) unstable; urgency=medium

  * Make another three symbols optional 

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Jun 2017 14:28:59 +0200

nomacs (3.4.1+dfsg-7) unstable; urgency=medium

  * Some further symbols fixed, libraw transition

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Jun 2017 00:07:17 +0200

nomacs (3.4.1+dfsg-6) unstable; urgency=medium

  * Fixed symbols after binnmu 
  * Bumped Standards to 4.0.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Jun 2017 18:20:15 +0200

nomacs (3.4.1+dfsg-5) unstable; urgency=medium

  * Removed build dependencies:
    - libcvaux-dev
    - libhighgui-dev,
    - libopencv-ocl-dev
    (Closes: #841370)
  * Removed --parallels from d/rules, standard compat 10
 
 -- Alf Gaida <agaida@siduction.org>  Fri, 21 Oct 2016 00:14:09 +0200

nomacs (3.4.1+dfsg-4) unstable; urgency=medium

  * Following the suggestions of the Multarch hinter:
    - nomacs-l10n could be marked Multi-Arch: foreign - done
    - libnomacscore-dev could be marked Multi-Arch: same - done
    - libnomacscore3 could be marked Multi-Arch: same - done
    - libnomacsgui-dev could be marked Multi-Arch: same - done
    - libnomacsgui3 could be marked Multi-Arch: same - done
    - libnomacsloader-dev could be marked Multi-Arch: same - done
    - libnomacsloader3 could be marked Multi-Arch: same - done
  * Fix dependency versions with cme
  * Fixing symbols 
  * Added dependency qt5-image-formats-plugins for tga, tiff and webp support
 
 -- Alf Gaida <agaida@siduction.org>  Tue, 27 Sep 2016 17:24:06 +0200

nomacs (3.4.1+dfsg-3) unstable; urgency=medium

  * Cherry-picked new upstream release 3.4.1.
  * Move to unstable (Closes: #823947)
    And no - we will not include the plugins in the current state, no way
  * Introduced nomacs-l10n and added to Recommends
  * nomacs-l10n replaces nomacs (Closes: #836858)
    Thanks Andreas Beckmann <anbe@debian.org>
  * Bumped compat to 10
  * Bumped build dependency debhelper (>= 10)
  * Fixed symbols
  * Fixed source.lintian-overrides
  * Introduced new packages:
    -libnomacscore3
    -libnomacscore3-dev
    -libnomacsgui3
    -libnomacsgui3-dev
    -libnomacsloader3
    -libnomacsloader3-dev
  * Added Replaces for libnomacs3
  * Added Breaks and Replaces for libnomacs-dev
  * Removed quazip and libwebp from 3rd party
  * Fixed copyright that way
  * Improved rules
  * Bumped years in copyright
  * Added hardening=+all
  * Deleted useless manpage

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Sep 2016 16:56:17 +0200
