=== debian/control ===
Source: nomacs
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libexiv2-dev,
               liblcms2-dev,
               libopencv-dev,
               libqt5svg5-dev,
               libquazip-dev,
               libraw-dev,
               libtiff5-dev,
               libwebp-dev,
               qt5-qmake,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/nomacs.git -b debian/sid
Homepage: http://www.nomacs.org

Package: nomacs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnomacscore3 (= ${binary:Version}),
         libnomacsgui3 (= ${binary:Version}),
         libnomacsloader3 (= ${binary:Version}),
         qt5-image-formats-plugins
Recommends: nomacs-l10n (= ${source:Version})
Description: image viewer with capability of syncing multiple instances
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).

Package: nomacs-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Description: image viewer with capability of syncing multiple instances (data)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the nomacs translations.

Package: libnomacscore3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libnomacs3
Description: image viewer with capability of syncing multiple instances (libnomacsCore)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the shared nomacs core library.

Package: libnomacsgui3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libnomacs3
Description: image viewer with capability of syncing multiple instances (libnomacsGui)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the shared nomacs gui library.

Package: libnomacsloader3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libnomacs3
Description: image viewer with capability of syncing multiple instances (libnomacsLoader)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the shared nomacs loader library.

Package: libnomacscore-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libnomacscore3 (= ${binary:Version})
Breaks: libnomacs-dev
Replaces: libnomacs-dev
Description: Development files for nomacs core
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides development files for nomacs core library.

Package: libnomacsgui-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libnomacsgui3 (= ${binary:Version})
Breaks: libnomacs-dev
Replaces: libnomacs-dev
Description: Development files for nomacs gui
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides development files for nomacs gui library.

Package: libnomacsloader-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libnomacsloader3 (= ${binary:Version})
Breaks: libnomacs-dev
Replaces: libnomacs-dev
Description: Development files for nomacs loader
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides development files for nomacs loader library.
