=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh ${@} --buildsystem=cmake \
-		--fail-missing
+	dh ${@} --buildsystem=cmake
+
+
+override_dh_missing:
+	dh_missing -- --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
