## nomacs 3.8.0%2Bdfsg

=== debian/changelog ===
nomacs (3.8.0+dfsg-4) unstable; urgency=medium

  * Fixed the VCS-Fields for salsa
  * Bumped Standards to 4.1.3, no changes needed
  * Bump copyright years

 -- Alf Gaida <agaida@siduction.org>  Fri, 12 Jan 2018 02:41:42 +0100

nomacs (3.8.0+dfsg-3) unstable; urgency=medium

  * Improved the patch and some cmake files - all changes should go
    upstream

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 23:23:08 +0100

nomacs (3.8.0+dfsg-2) unstable; urgency=medium

  * Get FindQuaZip5.cmake from libquazip5-dev, replacing FindQuaZIP.cmake
  * Patched the needed files to use the new find.
    (Closes: #884679)  - Thanks  Pino Toscano <pino@debian.org>

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 23:22:01 +0100

nomacs (3.8.0+dfsg-1) unstable; urgency=medium

  * Cherry-picked new upstream release 3.8.0.
  * Removed patches - applied upstream
  * Removed lena-full.jpg replacement, no longer needed
  * Added and sorted build options
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 20 Nov 2017 21:47:35 +0100

nomacs (3.6.1+dfsg-4) unstable; urgency=medium

  * Build with opencv 3.2
  * Removed outdated header packages from build dependencies:
    - libcvaux-dev
    - libhighgui-dev
    - libopencv-ocl-dev
  * Thanks to Adrian Bunk for spotting this (Closes: #878793)

 -- Alf Gaida <agaida@siduction.org>  Tue, 17 Oct 2017 01:00:48 +0200

nomacs (3.6.1+dfsg-3) unstable; urgency=medium

  * Merged experimental into unstable
  * Switched changelog back to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Oct 2017 16:56:45 +0200

nomacs (3.6.1+dfsg-2) experimental; urgency=medium

  * Added missed Breaks 

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Sep 2017 21:41:25 +0200

nomacs (3.6.1+dfsg-1) experimental; urgency=medium

  * Cherry-picked new upstream release 3.6.1.
  * Bumped Standards to 4.1.1
  * Switched to experimental
  * Added override_dh_missing
  * Fixed nomacs.install
  * libnomacsgui3 disappeard - deleted from control and debian $foo
  * libnomacsloader3 disappeared - deleted from control and debian $foo
  * Make libnomacscore a private lib
  * Ported back patch for reproducible builds
  * Ported back fix for runtimepathes on linux
  * Ported back fix for legacy appstream metadatas 
  * Added Section: localization to nomacs-l10n
  * nomacs replaces libnomacs*

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Sep 2017 14:58:15 +0200
