=== debian/control ===
Source: nomacs
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               lcov,
               libexiv2-dev,
               liblcms2-dev,
               libopencv-dev,
               libqt5svg5-dev,
               libquazip5-dev,
               libraw-dev,
               libtiff5-dev,
               libwebp-dev,
               qt5-qmake,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs.git
Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
Homepage: http://www.nomacs.org

Package: nomacs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qt5-image-formats-plugins
Breaks: libnomacscore3 (<< 3.6.1),
        libnomacsgui3 (<< 3.6.1),
        libnomacsloader3 (<< 3.6.1)
Replaces: libnomacscore3 (<< 3.6.1),
          libnomacsgui3 (<< 3.6.1),
          libnomacsloader3 (<< 3.6.1)
Recommends: nomacs-l10n (= ${source:Version})
Description: image viewer with capability of syncing multiple instances
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).

Package: nomacs-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Replaces: nomacs (<< 3.4.1~)
Description: image viewer with capability of syncing multiple instances (data)
 nomacs is a free image viewer for Windows and Linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).
 .
 This package provides the nomacs translations.
